package com.flyer.foster.controller.app;

import com.flyer.foster.dto.app.FosterRecordAddDTO;
import com.flyer.foster.entity.FosterRecord;
import com.flyer.foster.service.IFosterRecordService;
import com.flyer.util.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;
import java.util.List;

/**
 * 领养记录
 *
 * @author flyer
 * @since 2024-05-09
 */
@RestController
@RequestMapping("/app/foster-record")
public class AppFosterRecordController {

    @Autowired
    private IFosterRecordService iFosterRecordService;

    /**
     * 根据id查询领养记录
     *
     * @return
     */
    @GetMapping("/list/{appUserId}")
    public R list(@PathVariable Integer appUserId) {
        List<FosterRecord> res = iFosterRecordService.lambdaQuery().
                eq(FosterRecord::getAppUserId, appUserId).list();
        return R.ok().result(res);
    }

    /**
     * 确认领养
     *
     * @return
     */
    @PostMapping("")
    public R addFosterRecord(@Valid @RequestBody FosterRecordAddDTO addDTO) {
        return R.ok().result(iFosterRecordService.addFosterRecord(addDTO));
    }
}
